
From: Alan Cox <alan@redhat.com>

VIA Gigabit Lan driver should appear in "Ethernet (1000Mbit)", not in
"Ethernet (10 or 100Mbit)".

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/net/Kconfig |   24 ++++++++++++------------
 1 files changed, 12 insertions(+), 12 deletions(-)

diff -puN drivers/net/Kconfig~via-velocity-kconfig-fix drivers/net/Kconfig
--- 25/drivers/net/Kconfig~via-velocity-kconfig-fix	Fri Sep 17 15:39:00 2004
+++ 25-akpm/drivers/net/Kconfig	Fri Sep 17 15:39:00 2004
@@ -1732,18 +1732,6 @@ config VIA_RHINE_MMIO
 
 	  If unsure, say Y.
 
-config VIA_VELOCITY
-	tristate "VIA Velocity support"
-	depends on NET_PCI && PCI
-	select CRC32
-	select CRC_CCITT
-	select MII
-	help
-	  If you have a VIA "Velocity" based network card say Y here.
-
-	  To compile this driver as a module, choose M here. The module
-	  will be called via-velocity.
-
 config LAN_SAA9730
 	bool "Philips SAA9730 Ethernet support (EXPERIMENTAL)"
 	depends on NET_PCI && EXPERIMENTAL && MIPS
@@ -2139,6 +2127,18 @@ config SK98LIN
 	  say M here and read Documentation/kbuild/modules.txt. The module will
 	  be called sk98lin. This is recommended.
 
+config VIA_VELOCITY
+	tristate "VIA Velocity support"
+	depends on NET_PCI && PCI
+	select CRC32
+	select CRC_CCITT
+	select MII
+	help
+	  If you have a VIA "Velocity" based network card say Y here.
+
+	  To compile this driver as a module, choose M here. The module
+	  will be called via-velocity.
+
 config TIGON3
 	tristate "Broadcom Tigon3 support"
 	depends on PCI
_
